<!-- Row -->
<div class="row">
    <!-- Column -->
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-6">
                        <div class="form-group">
                            <label>Selecione em qual Bucket deseja salvar o arquivo</label>
                        </div>
                        <div class="btn-group">
                            <button (click)="setS3Bucket(s3Bucket)"
                                    [ngClass]="{'btn-dark-warning': customerFile.s3_bucket == s3Bucket.id, 'btn-light-warning': customerFile.s3_bucket != s3Bucket.id}"
                                    class="btn"
                                    *ngFor="let s3Bucket of s3Buckets"> {{ s3Bucket.name }} </button>
                        </div>
                    </div>
                </div>

                <div class="row" *ngIf="customerFile.s3_bucket">
                    <div class="col-sm-12" style="height: 200px; line-height: 200px">
                        <dropzone [config]="buildConfig()"
                                  [message]="'Arraste os arquivos aqui ou clique para abrir a janela de seleção de arquivos.<br/> Somente PDF, até 10Mb de tamanho.<br/> Podem ser adicionados até 10 arquivos por assunto.'"
                                  (error)="onUploadError($event)"
                                  (success)="onUploadSuccess($event)"></dropzone>
                    </div>
                </div>

                <hr/>

                <div class="row">
                    <div class="col-3 offset-9">
                        <button (click)="cancel()" class="btn btn-block btn-danger">
                            <i class="fa fa-history"></i>
                            Cancelar
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Row -->
